%define srcname fvwm

Name:           fvwm2
Version:        2.6.9
Release:        %mkrel 2
Summary:        An improved version of the FVWM X-based window manager
License:        GPLv2+
Group:          Graphical desktop/Other
URL:            http://www.fvwm.org/
Source0:        ftp://ftp.fvwm.org/pub/fvwm/version-2/%{srcname}-%{version}.tar.xz
Source1:        fvwm2.png
Source2:        system.fvwm2rc
Source3:        fvwm2rc.pclos
Source4:        09fvwm2
Source5:	    fvwm2.jpg
Patch0:         fvwm-2.5.26-translucent-menus.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  flex
BuildRequires:  libx11-devel
BuildRequires:  libxt-devel
BuildRequires:  libxft-devel
BuildRequires:  libxpm-devel
BuildRequires:  libpng-devel
BuildRequires:  lib64readline-devel
BuildRequires:  libtermcap-devel
BuildRequires:  libfribidi-devel
BuildRequires:  libstroke-devel
BuildRequires:  librsvg-devel
BuildRequires:  libxinerama-devel
Requires:       desktop-common-data
Requires:       xlockmore
Requires:       xterm
Requires:       xclock
Requires:       xwd
Requires:       perl-File-MimeInfo


%description

FVWM2 (the F stands for whatever you want, but the VWM stands for
Virtual Window Manager) is an extremely powerful ICCCM-compliant
multiple virtual desktop window manager for the X Window system. It is
designed to minimize memory consumption while being highly
customizable.

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p0 -b .translucent

%build
%configure2_5x \
    --disable-gtk \
    --libexecdir=%{_libdir}/X11/fvwm2 \
    --sysconfdir=%{_sysconfdir}/X11/fvwm2 \
    --with-imagepath=%{_datadir}/icons
%make LOCALEDIR=%{_datadir}/locale localedir=%{_datadir}/locale

%install
rm -rf %{buildroot}
%{makeinstall_std} LOCALEDIR=%{_datadir}/locale localedir=%{_datadir}/locale

install -D -m644 %{SOURCE1} %{buildroot}%{_iconsdir}/%{name}.png
install -D -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/X11/%{name}/system.fvwm2rc
install -D -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/X11/%{name}/fvwm2rc.pclos
install -D -m644 %{SOURCE4} %{buildroot}%{_sysconfdir}/X11/wmsession.d/09fvwm2
install -D -m644 %{SOURCE5} %{buildroot}/%{_datadir}/wallpapers/fvwm2.jpg

rm -f %{buildroot}%{_bindir}/fvwm2
mv %{buildroot}%{_bindir}/fvwm %{buildroot}%{_bindir}/fvwm2

%find_lang %{name} --all-name

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/X11/fvwm2
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/09fvwm2
%{_mandir}/man1/*
%{_bindir}/*
%{_datadir}/fvwm
%{_libdir}/X11/fvwm2
%{_iconsdir}/%{name}.png
%{_datadir}/wallpapers/fvwm2.jpg

%clean
rm -rf %{buildroot}

%post
%update_menus
%make_session

%postun
%clean_menus
%make_session


%changelog
* Sun Oct 09 2022 tex - 2.6.9-2pclos2022
- rebuild against updates

* Fri Sep 06 2019 tex - 2.6.9-1pclos2019
- update

* Fri Apr 29 2011 Texstar <texstar at gmail.com> 2.6.1-1pclos2011
- imported package fvwm2


